﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="DataCashLandingPage.aspx.cs" Inherits="EPiServer.Business.Commerce.Payment.DataCash.DataCashLandingPage" %>
<%@ Import Namespace="EPiServer.Core" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title></title>
    <script src='<%= ResolveUrl("~/Templates/Enoteca/Scripts/jquery-1.7.2.min.js") %>' type="text/javascript"></script>
    <link rel="Stylesheet" type="text/css" href="ClientResources/DataCash.css" />
</head>
<body>
    <form id="paymentForm" method="post" runat="server" >
        <div class="info-item">
            <div class="heading">
                <%=LanguageManager.Instance.Translate("/Commerce/Checkout/DataCash/PaymentDetail")%>
            </div>
            <div class="list-item">
                <%=LanguageManager.Instance.Translate("/Commerce/Checkout/DataCash/CardType")%> <asp:Label runat="server" ID="cardType"></asp:Label>
            </div>
            <div class="list-item">
                <%=LanguageManager.Instance.Translate("/Commerce/Checkout/DataCash/CardNumber")%> <asp:Label runat="server" ID="cardNumber"></asp:Label>
            </div>
            <div class="list-item">
                <%=LanguageManager.Instance.Translate("/Commerce/Checkout/DataCash/ExpiryDate")%> <asp:Label runat="server" ID="expirateDate"></asp:Label>
            </div>
        </div>
    </form>
    <script type="text/javascript">
        jQuery(document).ready(function () {
            var frameWindow = document.parentWindow || document.defaultView;
            var outerDiv = jQuery(frameWindow.frameElement.parentNode);
            outerDiv.parent().find('.requiredDataCash').val('1'); // place anything here to pass the validation, so the wizard can go to the next step
            outerDiv.parents('html').find('input[type=submit].enoPlaceOrderButton').click();
            
            // Set iframe height
            outerDiv.parents('html').find('div iframe.dataCashFrame').each(function () {
                $(this).attr('style', 'height: 100px');
            });
        });
    </script>
</body>
</html>
