<%@ Control Language="C#" Inherits="EPiServer.Business.Commerce.Payment.Klarna.KlarnaInvoice.PaymentMethod"  CodeBehind="PaymentMethod.ascx.cs" %>
<link rel="stylesheet" href='<%= ResolveUrl("~/Templates/Enoteca/Units/Placeable/plugins/payment/KlarnaInvoice/ClientResources/KlarnaInvoice.css") %>' type="text/css" />
<div id="logoandconditions">
    <ul>
        <li class="klarnalogo">
                <a href="http://www.klarna.se"><img id="klarnapaymentlogo" src='' alt="Klarna Invoice" /></a> 
        </li>
	<li>
	    <div class="klarnaterms">
	        <a href="#" id="klarna_invoice" onclick="ShowKlarnaInvoicePopup();return false;"></a>
	    </div>
	</li>
    </ul>
</div>
<div id="klarnaErrorContainer" runat="server" class="klarnaErrorContainer">
    <ul class="klarnaError">
        <li class="klarnaErrorMessage">
            <p id="klarnaError" runat="server"></p>
        </li>
    </ul>
</div>
<div class="SocialNumberContainer">
    <ul>
        <li class="klarnalabels">
            <label for=""> <asp:Literal ID="Literal1" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.socialsecurityno%>" /></label>
        </li>
        <li class="klarnainputs">
        	<div class="mui_input-wrap">
                <asp:TextBox ID="PersonalNumberText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
            </div>
        </li>
    </ul>
</div>
<div class="AddressForGermany">
    <ul>
        <li class="klarnachecklable">
            <label for=""><asp:Literal ID="Literal2" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.gender%>" /></label>
        </li>
       <li class="klarnainputs">
          <div class="mui_input-wrap">
            <asp:RadioButton Checked="true" runat="server" ID="GermanyGenderMale" GroupName="GermanyGender" /><asp:Literal ID="Literal3" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
            <asp:RadioButton Checked="false" runat="server" ID="GermanyGenderFemale" GroupName="GermanyGender" /><asp:Literal ID="Literal11" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
          </div>
        </li>
    </ul>
    <ul>
        <li class="klarnalabels">
            <label for=""><asp:Literal ID="Literal4" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.birthdate%>" /></label>
        </li>
        <li class="klarnainputs">
            <div class="mui_input-wrap">
                <asp:TextBox ID="GermanyBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
             </div>
        </li>
    </ul>
    <ul>
        <li class="klarnalabels">
            <label for=""> <asp:Literal ID="Literal5" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.housenumber%>" /></label>
        </li>
        <li class="klarnainputs">
            <div class="mui_input-wrap">
                <asp:TextBox ID="GermanyHouseNumberText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
             </div>
        </li>
    </ul>
</div>
<div class="AddressForNetherlands">
    <ul>
        <li class="klarnalabels">
            <label for=""> <asp:Literal ID="Literal6" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.gender%>" /></label>
        </li>
        <li class="klarnainputs">
            <div class="margin-form">
                <asp:RadioButton Checked="true" runat="server" ID="NetherlandsGenderMale" GroupName="NetherlandsGender" /><asp:Literal ID="Literal12" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
                <asp:RadioButton Checked="false" runat="server" ID="NetherlandsGenderFemale" GroupName="NetherlandsGender" /><asp:Literal ID="Literal13" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
             </div>
        </li>
    </ul>
    <ul>
        <li class="klarnalabels">
            <label for=""> <asp:Literal ID="Literal7" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.birthdate%>" /></label>
        </li>
        <li class="klarnainputs">
         <div class="mui_input-wrap">
            <asp:TextBox ID="NetherlandsBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
         </div>
        </li>
    </ul>
    <ul>
        <li class="klarnalabels">
            <label for=""><asp:Literal ID="Literal8" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.housenumber%>" /></label>
        </li>
        <li class="klarnainputs">
            <div class="mui_input-wrap">
                <asp:TextBox ID="NetherlandsHouseNumberText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
           </div>
        </li>
    </ul>
    <ul>
        <li class="klarnalabels">
            <label for=""><asp:Literal ID="Literal9" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.houseextension%>" /></label>
        </li>
        <li class="klarnainputs">
            <div class="mui_input-wrap">
                <asp:TextBox ID="NetherlandsHouseExtensionText" runat="server" CssClass="enoInputFirstName enoInputText" Width="225"></asp:TextBox>
            </div>
        </li>
    </ul>
</div>
<div class="AddressForAustria">
    <ul>
		<li class="klarnalabels">
			<label for=""><asp:Literal ID="Literal14" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnapartpayment.gender%>" /></label>
		</li>
		<li class="klarnainputs">
			<div class="margin-form">
			    <asp:RadioButton Checked="true" runat="server" ID="AustriaGenderMale" GroupName="AustriaGender"/><asp:Literal ID="Literal15"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.male%>" runat="server"></asp:Literal>
			    <asp:RadioButton Checked="false" runat="server" ID="AustriaGenderFemale" GroupName="AustriaGender" /><asp:Literal ID="Literal16"  Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.female%>" runat="server"></asp:Literal>
			</div>
		</li>
	</ul>
    <ul>
		<li class="klarnalabels">
			<label for=""> <asp:Literal ID="Literal17" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.birthdate%>" /></label>
		</li>
		<li class="klarnainputs">
			<div class="mui_input-wrap">
			    <asp:TextBox ID="AustriaBirthDateText" runat="server" CssClass="enoInputFirstName enoInputText required" Width="225"></asp:TextBox>
			</div>
		</li>
	</ul>
</div>
<div id="SelectAddressContainer" runat="server" class="klarnaSelectAddressContainer">
    <p class="klarnaMessage"><asp:Literal ID="Literal10" runat="server" Text="<%$ Resources: EPiServer, Commerce.klarnainvoice.chooseaddressmessage%>" /></p>
    <asp:RadioButtonList ID="SelectAddressRadioList" runat="server">
    </asp:RadioButtonList>
</div>

<script type="text/javascript">
    jQuery(document).ready(function () {
        function UpdateKlarnaUI($bodyElement) {
            // Only show selectAddressContainer if there is more than one address (for current selected billing address)
            var numberOfAddress = $bodyElement.find('.klarnaSelectAddressContainer').find('input').length;
            if (numberOfAddress < 2) {
                $bodyElement.find('.klarnaSelectAddressContainer').hide();
            } else {
                $bodyElement.find('.klarnaSelectAddressContainer').show();
            }

            // Update klarna logo and input fields base on contry code of billing address
            var dataToSend = { antiForgery: true };
            jQuery.ajax({
                url: "<%= ServicePath %>" + "GetBillingCountryCode",
                data: JSON.stringify(dataToSend),
                success: function (countryCode) {
                    if (!countryCode) {
                        return;
                    }

                    countryCode = countryCode.toUpperCase();
                    var logoImage = "<%= LogoUrlPrefix %>" + countryCode + ".png";
                    $bodyElement.find('#klarnapaymentlogo').attr('src', logoImage);

                    // hide all input containers
                    $bodyElement.find('.SocialNumberContainer').hide();
                    $bodyElement.find('.AddressForGermany').hide();
                    $bodyElement.find('.AddressForNetherlands').hide();
                    $bodyElement.find('.AddressForAustria').hide();

                    if (countryCode == "DEU") {
                        $bodyElement.find('.AddressForGermany').show();
                    } else if (countryCode == "NLD") {
                        $bodyElement.find('.AddressForNetherlands').show();
                    } else if (countryCode == "AUT") {
                        $bodyElement.find('.AddressForAustria').show();
                    } else {
                        $bodyElement.find('.SocialNumberContainer').show();
                    }
                }
            });
        }


        var $iframeBody = jQuery(window.document.body);
        UpdateKlarnaUI($iframeBody);

        // Register function to window.parent.UpdatePaymentUIFunctions so whenerver UI need updated the parent can invoke this update function
        if (!window.parent.UpdatePaymentUIFunctions) {
            window.parent.UpdatePaymentUIFunctions = {};
        }
        window.parent.UpdatePaymentUIFunctions["UpdateKlarnaInvoice"] = function () {
            UpdateKlarnaUI($iframeBody);

            // always hide the selectAddressContainer and errorContainer when just activated payment step
            $iframeBody.find('.klarnaSelectAddressContainer').hide();
            $iframeBody.find('.klarnaErrorContainer').hide();

            // empty all input textbox
            $iframeBody.find('input[type=text]').val('');
        };
    });
</script>
