﻿using System;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Collections;
using System.Drawing;
using System.Linq;
using System.Workflow.ComponentModel.Compiler;
using System.Workflow.ComponentModel.Serialization;
using System.Workflow.ComponentModel;
using System.Workflow.ComponentModel.Design;
using System.Workflow.Runtime;
using System.Workflow.Activities;
using System.Workflow.Activities.Rules;
using System.Collections.Specialized;
using Mediachase.Commerce.Orders;

namespace Mediachase.Commerce.Workflow.Admin
{
	public partial class POSaveChangesWorkflow : SequentialWorkflowActivity
	{
		private OrderGroup _OrderGroup;

		/// <summary>
		/// Gets or sets the order group.
		/// </summary>
		/// <value>The order group.</value>
		public OrderGroup OrderGroup
		{
			get
			{
				return _OrderGroup;
			}
			set
			{
				_OrderGroup = value;
			}
		}

		private Payment _Payment;

		/// <summary>
		/// Gets or sets the payment.
		/// </summary>
		/// <value>The order group.</value>
		public Payment Payment
		{
			get
			{
				return _Payment;
			}
			set
			{
				_Payment = value;
			}
		}

		private StringDictionary _Warnings = new StringDictionary();
		/// <summary>
		/// Gets the warnings.
		/// </summary>
		/// <value>The warnings.</value>
		public StringDictionary Warnings
		{
			get
			{
				return _Warnings;
			}
		}
	}
}
