﻿using System.Collections.Specialized;
using System.Workflow.Activities;
using Mediachase.Commerce.Orders;

namespace Mediachase.Commerce.Workflow.Admin
{
	public partial class POSplitShipmentsWorkflow : SequentialWorkflowActivity
	{
		private OrderGroup _OrderGroup;

		/// <summary>
		/// Gets or sets the order group.
		/// </summary>
		/// <value>The order group.</value>
		public OrderGroup OrderGroup
		{
			get
			{
				return _OrderGroup;
			}
			set
			{
				_OrderGroup = value;
			}
		}

		private StringDictionary _Warnings = new StringDictionary();
		/// <summary>
		/// Gets the warnings.
		/// </summary>
		/// <value>The warnings.</value>
		public StringDictionary Warnings
		{
			get
			{
				return _Warnings;
			}
		}
	}
}
